Activate integration (optional)
curl --request POST \
--url https://api.kombo.dev/v1/connect/activate-integration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"token": "<string>"
}
'import requests
url = "https://api.kombo.dev/v1/connect/activate-integration"
payload = { "token": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({token: '<string>'})
};
fetch('https://api.kombo.dev/v1/connect/activate-integration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"tool": "personio",
"id": "personio:CBNMt7dSNCzBdnRTx87dev4E",
"end_user_origin_id": "36123",
"end_user_organization_name": "Acme, Inc.",
"end_user_email": "user@example.com",
"setup_status": "COMPLETED"
}
}Kombo Connect
Activate integration (optional)
Use this endpoint with the token you get from the connection flow to retrieve information about the created integration. It works in a similar way as the OAuth2 code flow to securely retrieve information and connect the integration to your user. You do not need to call this endpoint for an integration to become active.
POST
/
connect
/
activate-integration
Activate integration (optional)
We are deprecating this endpoint in favour of the get integration by code endpoint. To migrate you only have to change to the new API endpoint.
Example Request Body
{
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJtZXNzYWdlIjoiVGhpcyBpcyBub3QgYW4gYWN0dWFsIHRva2VuLiJ9.JulqgOZBMKceI8vh9YLpVX51efND0ZyfUNHDXLrPz_4"
}
Authorizations
Body
application/json
POST /connect/activate-integration Request body
Response
POST /connect/activate-integration Positive response
Was this page helpful?
⌘I